<template>
  <div class="">
    <table class="table">
      <tbody>
        <tr>
          <th class="title" colspan="6">文件基本信息</th>
        </tr>
        <tr>
          <th class="col-1">文件名称</th>
          <td colspan="5">{{ info.fileName }}</td>
        </tr>
        <tr>
          <th class="col-1">软件类型</th>
          <td colspan="5">{{ info.type }}</td>
        </tr>
        <tr>
          <th class="col-1">文件版本</th>
          <td colspan="1">{{ info.version }}</td>
          <th class="col-1">基于版本</th>
          <td colspan="3">{{ info.basedVersion }}</td>
        </tr>
        <tr>
          <th class="col-1">负责人</th>
          <td colspan="1">{{ info.owner }}</td>
          <th class="col-1">归档日期</th>
          <td colspan="3">{{ info.filingDate }}</td>
        </tr>
        <tr>
          <th class="title" colspan="6">规格书适用机型</th>
        </tr>
        <tr >
          <th class="col-1">物料编码</th>
          <td colspan="1">{{ info.applyMaterialCode }}</td>
          <th class="col-1">规格型号</th>
          <td colspan="1">{{ info.applyModel }}</td>
          <th class="col-1">定制单号</th>
          <td colspan="1">{{ info.applyCustomCode }}</td>
        </tr>
        <tr>
          <th class="col-1">发布说明</th>
          <td colspan="5">{{ info.releaseNotes }}</td>
        </tr>
      </tbody>
    </table>
  </div>
</template>

<script>
export default {
  name: "",
  props: {
    info: {
      type: Object,
      default() {
        return {};
      },
    },
  },
  data() {
    return {
    };
  },
  computed: {
  },
  watch: {
  },
  methods: {
  },

  mounted() {
  },
};
</script>

<style lang="less" scoped>
.table {
  width: 100%;
  // table-layout: fixed;
  border-collapse: collapse;
  th,
  td {
    border: 1px #fff solid;
    padding: 4px;
  }
  td {
    color: #fff;
  }
  .title {
    font-weight: 900;
    padding-left: 2em;
    font-style: italic;
  }
}
.col-1 {
  // word-break:break-all;
  width: 6.4em;
}
</style>